Package org.gdal.gdal

## Class MDArray

- java.lang.Object
- - org.gdal.gdal.MDArray

-     public class MDArray
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Dataset` | `AsClassicDataset​(long iXDim, long iYDim)` |
    `boolean` | `Cache()` |
    `boolean` | `Cache​(java.util.Vector options)` |
    `Statistics` | `ComputeStatistics()` |
    `Statistics` | `ComputeStatistics​(boolean approx_ok)` |
    `Statistics` | `ComputeStatistics​(boolean approx_ok, ProgressCallback callback)` |
    `Attribute` | `CreateAttribute​(java.lang.String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type)` |
    `Attribute` | `CreateAttribute​(java.lang.String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type, java.util.Vector options)` |
    `void` | `delete()` |
    `int` | `DeleteNoDataValue()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `Attribute` | `GetAttribute​(java.lang.String name)` |
    `ExtendedDataType` | `GetDataType()` |
    `long` | `GetDimensionCount()` |
    `java.lang.String` | `GetFullName()` |
    `MDArray` | `GetMask()` |
    `MDArray` | `GetMask​(java.util.Vector options)` |
    `java.lang.String` | `GetName()` |
    `void` | `GetNoDataValueAsDouble​(java.lang.Double[] val)` |
    `java.lang.String` | `GetNoDataValueAsString()` |
    `void` | `GetOffset​(java.lang.Double[] val)` |
    `int` | `GetOffsetStorageType()` |
    `void` | `GetScale​(java.lang.Double[] val)` |
    `int` | `GetScaleStorageType()` |
    `SpatialReference` | `GetSpatialRef()` |
    `Statistics` | `GetStatistics()` |
    `Statistics` | `GetStatistics​(boolean approx_ok)` |
    `Statistics` | `GetStatistics​(boolean approx_ok, boolean force)` |
    `Statistics` | `GetStatistics​(boolean approx_ok, boolean force, ProgressCallback callback)` |
    `java.util.Hashtable` | `GetStructuralInfo()` |
    `java.math.BigInteger` | `GetTotalElementsCount()` |
    `java.lang.String` | `GetUnit()` |
    `MDArray` | `GetUnscaled()` |
    `MDArray` | `GetView​(java.lang.String viewExpr)` |
    `int` | `hashCode()` |
    `int` | `SetNoDataValueDouble​(double d)` |
    `int` | `SetNoDataValueString​(java.lang.String nodata)` |
    `int` | `SetOffset​(double val)` |
    `int` | `SetOffset​(double val, int storageType)` |
    `int` | `SetScale​(double val)` |
    `int` | `SetScale​(double val, int storageType)` |
    `int` | `SetSpatialRef​(SpatialReference srs)` |
    `int` | `SetUnit​(java.lang.String unit)` |
    `MDArray` | `Transpose​(int[] nList)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetFullName

          public java.lang.String GetFullName()

    - #### GetTotalElementsCount

          public java.math.BigInteger GetTotalElementsCount()

    - #### GetDimensionCount

          public long GetDimensionCount()

    - #### GetDataType

          public ExtendedDataType GetDataType()

    - #### GetStructuralInfo

          public java.util.Hashtable GetStructuralInfo()

    - #### GetAttribute

          public Attribute GetAttribute​(java.lang.String name)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           int nDimensions,
                                           SWIGTYPE_p_GUIntBig dimensions,
                                           ExtendedDataType data_type,
                                           java.util.Vector options)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           int nDimensions,
                                           SWIGTYPE_p_GUIntBig dimensions,
                                           ExtendedDataType data_type)

    - #### GetNoDataValueAsDouble

          public void GetNoDataValueAsDouble​(java.lang.Double[] val)

    - #### GetNoDataValueAsString

          public java.lang.String GetNoDataValueAsString()

    - #### SetNoDataValueDouble

          public int SetNoDataValueDouble​(double d)

    - #### SetNoDataValueString

          public int SetNoDataValueString​(java.lang.String nodata)

    - #### DeleteNoDataValue

          public int DeleteNoDataValue()

    - #### GetOffset

          public void GetOffset​(java.lang.Double[] val)

    - #### GetOffsetStorageType

          public int GetOffsetStorageType()

    - #### GetScale

          public void GetScale​(java.lang.Double[] val)

    - #### GetScaleStorageType

          public int GetScaleStorageType()

    - #### SetOffset

          public int SetOffset​(double val,
                               int storageType)

    - #### SetOffset

          public int SetOffset​(double val)

    - #### SetScale

          public int SetScale​(double val,
                              int storageType)

    - #### SetScale

          public int SetScale​(double val)

    - #### SetUnit

          public int SetUnit​(java.lang.String unit)

    - #### GetUnit

          public java.lang.String GetUnit()

    - #### SetSpatialRef

          public int SetSpatialRef​(SpatialReference srs)

    - #### GetSpatialRef

          public SpatialReference GetSpatialRef()

    - #### GetView

          public MDArray GetView​(java.lang.String viewExpr)

    - #### Transpose

          public MDArray Transpose​(int[] nList)

    - #### GetUnscaled

          public MDArray GetUnscaled()

    - #### GetMask

          public MDArray GetMask​(java.util.Vector options)

    - #### GetMask

          public MDArray GetMask()

    - #### AsClassicDataset

          public Dataset AsClassicDataset​(long iXDim,
                                          long iYDim)

    - #### GetStatistics

          public Statistics GetStatistics​(boolean approx_ok,
                                          boolean force,
                                          ProgressCallback callback)

    - #### GetStatistics

          public Statistics GetStatistics​(boolean approx_ok,
                                          boolean force)

    - #### GetStatistics

          public Statistics GetStatistics​(boolean approx_ok)

    - #### GetStatistics

          public Statistics GetStatistics()

    - #### ComputeStatistics

          public Statistics ComputeStatistics​(boolean approx_ok,
                                              ProgressCallback callback)

    - #### ComputeStatistics

          public Statistics ComputeStatistics​(boolean approx_ok)

    - #### ComputeStatistics

          public Statistics ComputeStatistics()

    - #### Cache

          public boolean Cache​(java.util.Vector options)

    - #### Cache

          public boolean Cache()